Module java.management
Package javax.management.openmbean

## Class InvalidKeyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - javax.management.openmbean.InvalidKeyException

- All Implemented Interfaces:
    `Serializable`

      public class InvalidKeyException
      extends IllegalArgumentException

  This runtime exception is thrown to indicate that a method parameter which was expected to be an item name of a composite data or a row index of a tabular data is not valid.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InvalidKeyException()` | An InvalidKeyException with no detail message.
    `InvalidKeyException​(String msg)` | An InvalidKeyException with a detail message.

  - ### Method Summary

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidKeyException

          public InvalidKeyException()

      An InvalidKeyException with no detail message.

    - #### InvalidKeyException

          public InvalidKeyException​(String msg)

      An InvalidKeyException with a detail message.
      Parameters:
        `msg` - the detail message.